using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OfficeManagement.UIL
{
    public partial class frmBase : Form
    {
        public frmBase()
        {
            InitializeComponent();
        }

      

        protected virtual void EnableButtonForFullDataGrid()
        {
            btnDelete.Enabled = true;
            btnEdit.Enabled = true;
            btnShow.Enabled = true;
            btnPrint.Enabled = true;
        }

        protected virtual void DisableButtonForEmptyDataGrid()
        {
            btnDelete.Enabled = false;
            btnEdit.Enabled = false;
            btnShow.Enabled = false;
            btnPrint.Enabled = false;
        }


        protected virtual void btnNew_Click(object sender, EventArgs e)
        {
            
        }

        protected virtual void btnEdit_Click(object sender, EventArgs e)
        {

        }

        protected virtual void btnDelete_Click(object sender, EventArgs e)
        {

        }

        protected virtual void btnShow_Click(object sender, EventArgs e)
        {

        }

        protected virtual void btnPrint_Click(object sender, EventArgs e)
        {

        }
    }
}
